import { type RawHashedModuleIdsPluginOptions } from '../binding';
export declare const HashedModuleIdsPlugin: {
    new (options?: RawHashedModuleIdsPluginOptions | undefined): {
        name: string;
        _args: [options?: RawHashedModuleIdsPluginOptions | undefined];
        affectedHooks: keyof import("..").CompilerHooks | undefined;
        raw(compiler: import("..").Compiler): import("../binding").BuiltinPlugin;
        apply(compiler: import("..").Compiler): void;
    };
};
